Bug 209932 - possible recursive locking detected using mount with ext3
possible recursive locking detected using mount with ext3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-08 09:48 EDT by Martin Ebourne
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 22:18:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Ebourne 2006-10-08 09:48:00 EDT
A possible deadlock notification from mount/ext3 while running Fedora testing
kernel (I also filed another which looks unrelated in a different bug).

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2189.fc5

How reproducible:
Only seen this one once in 24hrs. There is a lot of reboot/mount/umount going on
because I'm trying to recover from 2 failed disks.

Steps to Reproduce:
1. Reboot and mount/umount a lot?
  
Actual results:

[With context in case it is useful]

kernel: kjournald starting.  Commit interval 5 seconds
kernel: EXT3 FS on dm-8, internal journal
kernel: EXT3-fs: mounted filesystem with ordered data mode.
kernel: SELinux: initialized (dev dm-8, type ext3), uses xattr
kernel: kjournald starting.  Commit interval 5 seconds
kernel: EXT3 FS on dm-7, internal journal
kernel: EXT3-fs: recovery complete.
kernel: 
kernel: =============================================
kernel: [ INFO: possible recursive locking detected ]
kernel: 2.6.18-1.2189.fc5 #1
kernel: ---------------------------------------------
kernel: mount/3809 is trying to acquire lock:
kernel:  (&md->io_lock){----}, at: [<ffffffff880cc648>] dm_request+0x25/0x130
[dm_mod]
kernel: 
kernel: but task is already holding lock:
kernel:  (&md->io_lock){----}, at: [<ffffffff880cc648>] dm_request+0x25/0x130
[dm_mod]
kernel: 
kernel: other info that might help us debug this:
kernel: 3 locks held by mount/3809:
kernel:  #0:  (&type->s_umount_key#17){----}, at: [<ffffffff802e3ea0>]
sget+0x230/0x39b
kernel:  #1:  (&journal->j_barrier){--..}, at: [<ffffffff8026652b>]
mutex_lock+0x2a/0x2e
kernel:  #2:  (&md->io_lock){----}, at: [<ffffffff880cc648>]
dm_request+0x25/0x130 [dm_mod]
kernel: 
kernel: stack backtrace:
kernel: 
kernel: Call Trace:
kernel:  [<ffffffff8026e990>] show_trace+0xae/0x32b
kernel:  [<ffffffff8026ec22>] dump_stack+0x15/0x17
kernel:  [<ffffffff802a8601>] __lock_acquire+0x135/0xa59
kernel:  [<ffffffff802a94c6>] lock_acquire+0x4b/0x69
kernel:  [<ffffffff802a5fb0>] down_read+0x3e/0x4a
kernel:  [<ffffffff880cc648>] :dm_mod:dm_request+0x25/0x130
kernel:  [<ffffffff8021cfb0>] generic_make_request+0x218/0x233
kernel:  [<ffffffff880cb3f6>] :dm_mod:__map_bio+0xca/0x104
kernel:  [<ffffffff880cbe3c>] :dm_mod:__split_bio+0x16a/0x36b
kernel:  [<ffffffff880cc740>] :dm_mod:dm_request+0x11d/0x130
kernel:  [<ffffffff8021cfb0>] generic_make_request+0x218/0x233
kernel:  [<ffffffff80235fa4>] submit_bio+0xd3/0xdc
kernel:  [<ffffffff8021b3ef>] submit_bh+0x100/0x124
kernel:  [<ffffffff8023d826>] sync_dirty_buffer+0x8c/0xf4
kernel:  [<ffffffff88079e99>] :jbd:journal_update_superblock+0x89/0xd2
kernel:  [<ffffffff8807a336>] :jbd:journal_flush+0xdb/0x24d
kernel:  [<ffffffff88099329>] :ext3:ext3_mark_recovery_complete+0x31/0x73
kernel:  [<ffffffff8809c10c>] :ext3:ext3_fill_super+0x13d4/0x153f
kernel:  [<ffffffff802e482a>] get_sb_bdev+0x101/0x15d
kernel:  [<ffffffff88099147>] :ext3:ext3_get_sb+0x13/0x15
kernel:  [<ffffffff802e42d6>] vfs_kern_mount+0x98/0x121
kernel:  [<ffffffff802e43b0>] do_kern_mount+0x3f/0x59
kernel:  [<ffffffff802ee36d>] do_mount+0x69e/0x711
kernel:  [<ffffffff8024e8c1>] sys_mount+0x89/0xcb
kernel:  [<ffffffff8026081a>] tracesys+0xd1/0xdb
kernel: DWARF2 unwinder stuck at tracesys+0xd1/0xdb
kernel: Leftover inexact backtrace:
kernel: 
kernel: EXT3-fs: mounted filesystem with ordered data mode.
kernel: SELinux: initialized (dev dm-7, type ext3), uses xattr
kernel: kjournald starting.  Commit interval 5 seconds
kernel: EXT3 FS on dm-1, internal journal
kernel: EXT3-fs: mounted filesystem with ordered data mode.
kernel: SELinux: initialized (dev dm-1, type ext3), uses xattr

Expected results:

No errors.

Additional info:

This filesystem is on LVM.
Fully updated FC5 with testing kernel as above.
Comment 1 Dave Jones 2006-10-16 20:56:52 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Dave Jones 2006-10-29 22:18:29 EST
This got fixed.

Note You need to log in before you can comment on or make changes to this bug.